
local snd = aom_sounds


function aom_sounds.default()
return {
    footstep =  {name = "aom_stone_step", gain = aom_sounds.tag("footstep", 0.0)},
    dig =       {name = "aom_stone_step", gain = 0.1},
    dug =       {name = "aom_stone_step", gain = 0.1},
    place =     {name = "aom_stone_step", gain = 0.1},}
end
function aom_sounds.default_stone()
return {
    footstep =  {name = "aom_stone_step", gain = aom_sounds.tag("footstep", 0.9), pitch = 1.0},
    dig =       {name = "aom_stone_dig", gain = 0.2, pitch = 0.9, max_hear_distance = 20,},
    dug =       {name = "aom_stone_dug", gain = 1},
    place =     {name = "aom_stone_place", gain = 1},}
end
function aom_sounds.default_wood_log()
return {
    footstep =  {name = "aom_wood_step", gain = aom_sounds.tag("footstep", 0.05), pitch = 1},
    dig =       {name = "aom_wood_dig", gain = 0.4, pitch = 0.8},
    dug =       {name = "aom_wood_dig", gain = 1.5, pitch = 0.7},
    place =     {name = "aom_wood_dig", gain = 1.1, pitch = 0.7},}
end
function aom_sounds.default_wood()
return {
    footstep =  {name = "aom_wood_step", gain = aom_sounds.tag("footstep", 0.05), pitch = 1},
    dig =       {name = "aom_wood_dig", gain = 0.2, pitch = 0.7},
    dug =       {name = "aom_wood_dig", gain = 1.5, pitch = 0.7},
    place =     {name = "aom_wood_dig", gain = 1.1, pitch = 0.7},}
end
function aom_sounds.default_glass()
return {
    footstep =  {name = "aom_stone_step", gain = aom_sounds.tag("footstep", 0.0), pitch = 1.5},
    dig =       {name = "aom_stone_dig", gain = 0.2, pitch = 1.5},
    dug =       {name = "aom_stone_dug", gain = 1, pitch = 1.5},
    place =     {name = "aom_stone_place", gain = 1, pitch = 1.5},}
end
function aom_sounds.default_plant()
return {
    footstep =  {name = "aom_plant_dig", gain = aom_sounds.tag("footstep", 0.0), pitch = 1.1},
    dig =       {name = "aom_plant_dig", gain = 0.4, pitch = 0.9},
    dug =       {name = "aom_plant_dig", gain = 1},
    place =     {name = "aom_plant_dig", gain = 1},}
end
function aom_sounds.default_soil()
return {
    footstep =  {name = "aom_grass_step", gain = 0.2},
    dig =       {name = "aom_soil_place", gain = 0.6},
    dug =       {name = "aom_soil_dug", gain = 1},
    place =     {name = "aom_soil_place", gain = 1},}
end
function aom_sounds.default_topsoil()
return {
    footstep =  {name = "aom_grass_step", gain = aom_sounds.tag("footstep", 0.0)},
    dig =       {name = "aom_soil_place", gain = 0.6},
    dug =       {name = "aom_soil_dug", gain = 1},
    place =     {name = "aom_soil_place", gain = 1},}
end
function aom_sounds.default_snow()
return {
    footstep =  {name = "aom_snow_step", gain = aom_sounds.tag("footstep", 0.0)},
    dig =       {name = "aom_soil_place", gain = 0.8},
    dug =       {name = "aom_soil_dug", gain = 1},
    place =     {name = "aom_snow_step_2", gain = 1},}
end
function aom_sounds.default_fabric()
return {
    footstep =  {name = "aom_snow_step", gain = aom_sounds.tag("footstep", 0.0)},
    dig =       {name = "aom_soil_place", gain = 0.8},
    dug =       {name = "aom_soil_dug", gain = 1},
    place =     {name = "aom_snow_step_2", gain = 1},}
end
function aom_sounds.default_rocky()
return {
    footstep =  {name = "aom_stone_step", gain = aom_sounds.tag("footstep", 0.9), pitch = 1.4},
    dig =       {name = "aom_stone_dig", gain = 0.2, pitch = 1.0},
    dug =       {name = "aom_stone_dug", gain = 1, pitch = 1.1},
    place =     {name = "aom_stone_place", gain = 1, pitch = 1.3},}
end
function aom_sounds.default_metal()
return {
    footstep =  {name = "aom_stone_step", gain = aom_sounds.tag("footstep", 0.9), pitch = 1.4},
    dig =       {name = "aom_metal_dig", gain = 0.4, pitch = 0.9},
    dug =       {name = "aom_metal_dig", gain = 0.8, pitch = 1.0},
    place =     {name = "aom_metal_dig", gain = 0.8, pitch = 0.80},}
end
